Bug 693533 - Cannot install WTP from Helios repository
Cannot install WTP from Helios repository
Status: CLOSED DUPLICATE of bug 698434
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
15
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Chris Aniszczyk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-04 17:51 EDT by Earle Nietzel
Modified: 2014-07-25 01:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-27 08:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Earle Nietzel 2011-04-04 17:51:37 EDT
Description of problem:
I was not successful at installing any new software from the WTP eclipse helios
software update site.

http://download.eclipse.org/webtools/repository/helios/

I then tried

http://download.eclipse.org/releases/helios/

to no avail eclipse kept showing the same problem:

An error occurred while collecting items to be installed
session context was:(profile=PlatformProfile,
phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=,
action=).
No repository found containing:
osgi.bundle,org.eclipse.cvs.source,1.0.500.v20100414
No repository found containing:
org.eclipse.update.feature,org.eclipse.cvs.source,1.2.0.v20100427-7B77FKt90GE5h0NCO35T7A01911
No repository found containing:
osgi.bundle,org.eclipse.ecf.filetransfer.source,4.0.0.201102081657
No repository found containing:
osgi.bundle,org.eclipse.ecf.identity.source,3.1.0.201102081657
No repository found containing:
osgi.bundle,org.eclipse.ecf.provider.filetransfer.httpclient.source,4.0.0.201102081657
No repository found containing:
osgi.bundle,org.eclipse.ecf.provider.filetransfer.httpclient.ssl.source,1.0.0.201102081657
No repository found containing:
osgi.bundle,org.eclipse.ecf.provider.filetransfer.source,3.1.0.201102081657
No repository found containing:
osgi.bundle,org.eclipse.ecf.provider.filetransfer.ssl.source,1.0.0.201102081657
No repository found containing:
osgi.bundle,org.eclipse.ecf.source,3.1.0.201102081657
No repository found containing:
osgi.bundle,org.eclipse.ecf.ssl.source,1.0.100.201102081657
No repository found containing:
org.eclipse.update.feature,org.eclipse.equinox.p2.user.ui.source,2.0.1.r361_v20100903-897JF_lFRVaY8GYgZHmQCq5
No repository found containing:
osgi.bundle,org.eclipse.help.base.source,3.5.2.r36_r20100816
No repository found containing:
org.eclipse.update.feature,org.eclipse.help.source,1.2.0.v20100427-7e7kETFCsz-mFu_PfwL1ht5
No repository found containing:
osgi.bundle,org.eclipse.jdt.source,3.6.1.r361_v20100714-0800
No repository found containing:
org.eclipse.update.feature,org.eclipse.jdt.source,3.6.1.r361_v20100714-0800-7z8XFUSFLBmsgvVz0z-3vjz095IX
No repository found containing:
osgi.bundle,org.eclipse.pde,3.6.1.v20100625_r361
No repository found containing:
org.eclipse.update.feature,org.eclipse.pde,3.6.1.r361_v20100727-7b7mFL-FDX-bf3Q-g1cCcoM
No repository found containing:
osgi.bundle,org.eclipse.pde.source,3.6.1.v20100625_r361
No repository found containing:
org.eclipse.update.feature,org.eclipse.pde.source,3.6.1.r361_v20100727-7b7mFL-FDX-bf3Q-g1cCcoM
No repository found containing:
osgi.bundle,org.eclipse.platform.source,3.6.1.r361_v20100714-0800
No repository found containing:
org.eclipse.update.feature,org.eclipse.platform.source,3.6.1.r361_v20100909-9pF78H4oFrRqo0j7kHFogDSz-B4nsSP2z-oW
No repository found containing:
osgi.bundle,org.eclipse.rcp.source,3.6.0.v20100527-0800
No repository found containing:
org.eclipse.update.feature,org.eclipse.rcp.source,3.6.1.r361_v20100827-9oBYFOtFkzKz-ApYk1gu5D_V
No repository found containing:
osgi.bundle,org.eclipse.sdk,3.6.1.r361_v20100714-0800
No repository found containing:
org.eclipse.update.feature,org.eclipse.sdk,3.6.1.r361_v20100714-0800-7Q7m6D9kQgfkB-G1z-jfPG1WEJOCvC4-z0W7qOFVAvZu8
No repository found containing: osgi.bundle,org.objectweb.asm,3.2.0

Version-Release number of selected component (if applicable):
F15 alpha with updates applied to 4/4/2011

How reproducible:
always

Steps to Reproduce:
1. Add repository above to when adding New software
2. When the apropriate software appears add anything from the list
3. After agreeing with the license and waiting for it to download you will eventually get the error above.
Comment 1 Andrew Overholt 2011-04-04 18:57:25 EDT
I'm almost positive this used to work so something must have changed with dropins and the shared profile support.  Chris, here's another reason to move away from dropins (as if we needed it ;).
Comment 2 Earle Nietzel 2011-04-05 00:58:15 EDT
I was able to get around this problem by adding:

-Dorg.eclipse.swt.browser.XULRunnerPath=/usr/lib/xulrunner-2/

in eclipse.ini
Comment 3 Earle Nietzel 2011-04-05 00:59:44 EDT
Sorry my previous comment was meant for a different bug.
Comment 4 Andrew Overholt 2011-04-27 08:07:46 EDT

*** This bug has been marked as a duplicate of bug 698434 ***

Note You need to log in before you can comment on or make changes to this bug.